---
layout: header-simple
title: See what GitLab can do for your team
description: "This video demo showcases GitLab’s built-in issue tracking, issue boards, version control, code review, Auto DevOps, CI/CD, SAST/DAST and more."
canonical_path: "/demo/"
suppress_header: true
slippers: true
extra_css:
  - demo.css
---

.container.slp-container
  .left-side#left-side
    .headline-container
      %h1.slp-text-3xl.md:slp-text-4xl.slp-mb-16.slp-font-normal See GitLab in action
      %h2.slp-text-md.md:slp-text-lg.slp-font-normal Learn how GitLab accelerates software development by streamlining version control, CI/CD, and security in a single application. This demo illustrates how to use GitLab throughout the entire software development lifecycle.
      .demo-scroll-link
        %a{href: '#demo-form-container'}
          Skip to demo registration
          %div 
            = image_tag "/images/demo/arrow-down.svg", class: "event-tile-image", alt: "Arrow icon"
      
      %h2.slp-text-md.md:slp-text-lg.slp-font-normal.slp-mt-28.checklist-header
        Discover why over 100,000 organizations trust GitLab. This 
        %span{style: "white-space:nowrap"} 3-minute
        demo shows how to:
      %ul.slp-font-normal
        %li.slp-text-base.purple-check{style: "margin-top: 16px"} Break silos and collaborate across design, dev, test, security, and ops
        %li.slp-text-base.purple-check{style: "margin-top: 16px"} Manage priorities using issues and boards
        %li.slp-text-base.purple-check{style: "margin-top: 16px"} Simplify code review and automate code quality tests  
        %li.slp-text-base.purple-check{style: "margin-top: 16px"} Automate unit testing, security testing, and license compliance as part of the CI/CD pipeline 
        %li.slp-text-base.purple-check{style: "margin-top: 16px"} Implement release controls to regulate what goes to production
        %li.slp-text-base.purple-check{style: "margin-top: 16px"} Monitor configured environments

  .right-side.form-container.demo-form-container#demo-form-container
    %h3.slp-text-xl.md:slp-text-xxl.slp-font-normal.slp-text-center.slp-mt-0 Register to watch the demo
    %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
    %form{"data-formId": "1754", "data-formInstance": "one", class: "mktoForm"}

%div
  .demo-container
    .video-container#video-container{ style: "display: none;" }
      .demo-info#demo-info

      #confirmform{ style: "display: none;" }
        .centered-form-info
          %h2.slp-text-3xl.md:slp-text-4xl.slp-font-normal.slp-text-center.slp-mt-0 Thanks and enjoy the demo!
          %iframe#demo-video{src: "", allow: "autoplay; encrypted-media", allowfullscreen: "allowfullscreen"}

      .container.container2020#get-started-block
        .text-center
          %h3.slp-text-xl.md:slp-text-xxl.get-started-block
            Still have questions? Get in touch.
          %p.slp-text-md.slp-mb-8
            We're here to help. Talk to an expert today.
          %a.btn.cta-btn.orange-light{ :href => "/free-trial/", :title => "free trial", style: "margin: 4px"} 
            Try GitLab for FREE
          %a.btn.cta-btn.lavender{ :href => "/sales/", :title => "contact Sales", style: "margin: 4px"}
            Contact Sales
    
= partial "includes/layout/footer-blank"

:javascript

  var invalidDomains = ["@qq.","@163."];
  var callbackMktoFormOnSuccess = function(){

    document.getElementById('video-container').style.display = 'block';
    document.getElementById('demo-form-container').style.display = 'none';
    document.getElementById('left-side').style.display = 'none';
    document.getElementById('confirmform').style.display = 'block';
    document.getElementById('demo-video').src = "https://player.vimeo.com/video/620114567?h=a65b489d54";
    document.getElementById('demo-video').style.display = 'block';
    document.getElementById('demo-info').style.display = 'none';
    window.scrollTo(0, 0);
  };

  MktoForms2.setOptions(
  {
    formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
  });
  // adapted from https://codepen.io/figureone/pen/ayKadR?editors=0010
  var mktoFormConfig = {
    podId : "//page.gitlab.com",
    munchkinId : "194-VVC-221",
    formIds : [1754]
  };
  function mktoFormChain(config) {

    /* util */
    var arrayFrom = Function.prototype.call.bind(Array.prototype.slice);

    /* const */
    var MKTOFORM_ID_ATTRNAME = "data-formId";

    /* fix inter-form label bug! */
    MktoForms2.whenRendered(function(form) {
      var formEl = form.getFormElem()[0],
        rando = "_" + new Date().getTime() + Math.random();

      arrayFrom(formEl.querySelectorAll("label[for]")).forEach(function(labelEl) {
        var forEl = formEl.querySelector('[id="' + labelEl.htmlFor + '"]');
        if (forEl) {
          labelEl.htmlFor = forEl.id = forEl.id + rando;
        }
      });
    });

    /* chain, ensuring only one #mktoForm_nnn exists at a time */
    arrayFrom(config.formIds).forEach(function(formId) {
      var loadForm = MktoForms2.loadForm.bind(MktoForms2,config.podId,config.munchkinId,formId),
        formEls = arrayFrom(document.querySelectorAll("[" + MKTOFORM_ID_ATTRNAME + '="' + formId + '"]'));

      (function loadFormCb(formEls) {
        var formEl = formEls.shift();
        formEl.id = "mktoForm_" + formId;

        loadForm(function(form) {
          formEl.id = "";
          if (formEls.length) {
            loadFormCb(formEls);
          }
          form.onSuccess(function()
          //
          {
            dataLayer.push(
            {
              'event' : 'demo', 
              'mktoFormId' : form.getId(),
              'eventCallback' : function()
              {
                callbackMktoFormOnSuccess();
              }, 'eventTimeout' : 3000
            });
            return false;
          });
          //
          form.onValidate(function() {
            var email = form.vals().Email;
            if (email) {
              if (!isEmailGood(email)) {
                form.submitable(false);
                var emailElem = form.getFormElem().find("#Email");
                form.showErrorMessage("Must be Business email.", emailElem);
              } else {
                form.submitable(true);
              }
            }
          });
          //
          function isEmailGood(email) {
            for(var i=0; i < invalidDomains.length; i++) {
              var domain = invalidDomains[i];
              if (email.indexOf(domain) != -1) {
                return false;
              }
            }
            return true;
          }
        });
      })(formEls);
    });
  }

  mktoFormChain(mktoFormConfig);


